----------------------------------------------------------------------------------------------------------------------
Woo Shortcodes Kit v 1.8.3 (05/02/20) by Alberto G. - https://disespubli.com/

Included:

= 1.8.3 =
 *Changelog (05/02/20)

- Fixed Warning: line 612 in wshk-class.php, now is working correctly without warnings.
- Fixed Warning: line 648 in wshk-class.php, now is working correctly without warnings.
- Fixed Warning: line 652 in wshk-class.php, now is working correctly without warnings.
- Fixed Warning: line 909 in wshk-class.php, now is working correctly without warnings.
- Fixed Warning: line 1488 in wshk-class.php, now is working correctly without warnings.
- Fixed Warning: line 1455 in wshk-class.php, now is working correctly without warnings.

- Improved New Dropdown menus in functions settings.
- Improved New informational texts added in functions settings.
- Improved Contact tab.
- Improved New Notifications tab.
- Improved Localization and menus detector added in the function: Conditional menu.
- Improved New examples and info boxs in functions
-Improved New classes to control the styles in the function: Product Download/Sales counter.
-Improved Now the function : Change the “Add to cart” button text is prepared to work better. When is enabled the empty field will display the button text by default and only if you write a custom text will be displayed. For other hand the external products will use by default the text button added in the product settings, but if you want add the same text for all external products, just need write the custom text in the function.
- Improved Now some shortcodes to build the account page display a new message to let you know what you need how addon to build your custom account page.
- Improved Now you can control the number of columns in the function: Customer purchased products loop.
- Improved Added template message to use in the function: Conditional message to the customer according to their number of orders.
- Improved New shortcode added in the function: Display all the products reviews where you want. Now you can display all the reviews in a custom page and display a certain number of reviews in another different page. It can be helpfull to make a custom page with some reviews and a View all reviews buttons linked to display all the reviews.
- Improved Now the function: Autocomplete orders is prepared to work only with virtual products and is working correctly.

- Updated: Compatible with WooCommerce Subscriptions v.3.0.1 (Tested and working)
- Updated: Compatible with WooCommerce v.3.9.1 (Tested and working)
- Updated: Compatible with WordPress v.5.3.2 (Tested and working)

= 1.8.2 =
 *Changelog (27/08/19)

- FIXED - Warning: call_user_func_array() in the my account metabox, now is working correctly without warnings.

- IMPROVED - WooCommerce Subscriptions Compatibility.
(Woo Shortcodes Kit is now ready to facilitate full compatibility between WooCommerce Subscriptions and Custom Blocks & Redirections)

- HIDE - In this update you will not see the News tab, it will only be available when there is a new message.

Compatible with WooCommerce Subscriptions v.2.5.7 (Tested and working)
Compatible with WooCommerce v.3.7.0 (Tested and working)
Compatible with WordPress v.5.2.2 (Tested and working)


= 1.8.1 =
 *Changelog (03/07/19)

- NEW - Added in Function Return to shop  button,  now is compatible with the function Build your custom shop taking the new page slug for redirect after click in the return shop button.

- NEW - Added in Function Display all reviews where you want, now the height of the box is the max height too. Too was added new options in the function for limit the comment text. Now you can limit the characters of the comment, can choose the type of limiter between just points or points + link, and can add your custom text link.
By the way this options can detect if are empty and set a default options, for example if the comment character limit is empty, the value by default will be 300 and if you choose the type of limiter Points and link but the custom link text is empty, the value by default will be Read More. Can detect too if Storefront theme is active to link correctly to the comments tab when you make click in the comment title or the limiter link.

- NEW - Compatibility with the new function ELEMENTOR TAB DETECTOR added in Custom Blocks & Redirections v.1.0.5

- UPDATED - in function Display all reviews where you want, now display the options in only 2 columns
- UPDATED - English  .pot template 
- UPDATED - Spanish ready translation
- UPDATED - Brazilian/Portuguese ready translation
- UPDATED - Compatible with WooCommerce v.3.6.5


= 1.8.0 =
 *Changelog (21/06/19)

- Fixed - notice message in the new account page metabox

- New classes added in function Display all the reviews where you want with a shortcode
  table.wshktabborder | a.wshkreviprolink | a.wshkpublishedtext | span.wshkcomauthor | span.wshkontext | span.wshkcomdate | td.wshkreviewsgrav | td.wshkreviewsgravdata
  You can customize the stars rating with the class .star-rating and tint the stars with color using
  .product .star-rating span:before,
  .product .star-rating:before {
    color: gold !important;
   }

- New in Auto translation tool, now scan too the Portuguese/Brazilian translation files and let copy with just one click

- Fixed Auto translation tool, now only copy the files that the selecte language. If you make click in COPY the pt_BR files, the tool only will copy the pt_BR files and not others.

- Updated Auto translatio tool design, now only display 1 flag per file.

- Fixed notice in function Block admin bar for non admins, now is getting the user correctly (wshk-class.php - line 2015)

- Fixed notice in function Display Login form with shortcode, now the special function for Storefront is detecting the theme correctly (wshk-class.php - line 1660)

- Fixed notices in function Display reviews where you want, now the star rating is working correctly and all the variables was defined (wshk-class.php - line 1149)

- Fixed notices in function Display user gravatar image, now all variables are defined (wshk-class.php - line 408)

- Fixed notices in function Display user reviews with product link, now all the variables are defined (wshk-class.php - line 918)

- Fixed notices in template my-orders.php (line 59, now 60) now all the variables are defined, (line 134, now 135) now all the variables are defined

- Fixed notice in template myaddress.php (line 67, now 68) now the variable is defined

- Fixed notices in template payments-methods.php (line 81 and 101) now all the variables are defined

- Updated function auto complete orders, now it work correctly

- New function added in WOOCOMMERCE ADDITIONAL SETTINGS, Enable for limit the number of products in the cart, now you can set the number of products that you allow to add to the cart.

- New function added in WOOCOMMERCE ADDITIONAL SETTINGS, Enable for change the Return to shop button text and add custom redirection, now you can control the button text and the redirection for the Return to shop button that you can see in the cart page when the cart is empty.

- New tab added called "NEWS", each version you can see some important news, changes or updates directly from the plugin. This version come with a great surprise, check fast will stay available only in July!

- Updated English language template

- Updated Spanish language files

- Updated PT/BR language files




= 1.7.9 =
 *Changelog (21/06/19)

+ Fixed shortcode [woo_mypayments] for [woo_mypayment] in section Enable Payments method shortcode

+ Fixed function for display the login form, now is working on all sites

+ Fixed function Change the button text "Add to cart" if user have the product purchase, now work with the default button style in the product page.

+ Updated function Change the button text "Add to cart" if user have the product purchase, now if you have enabled the function Change the Add to cart button text & write a different text in each case, the add to cart button text displayed in the product page, will be the configured on these function.

+ New in function Change the button text "Add to cart" if user have the product purchase, now detect if the product type is external to be compatible and display the button correctly.

+ Updated function Change the Add to cart button text & write a different text in each case, now it change the button text in the product page too.

+ Updated function Display the user gravatar image, now it will work correctly with the page builders.

+ Fixed shortcode [woo_total_bought_product] for [woo_total_bought_products] in section Counters with Data from the shop and user.

+ Updated function Display the customer reviews with link to the product, now it will display correctly in Storefront theme and is fully compatible with other themes too. 

+ New class added in function Display the customer reviews with link to the product, now you can control better each review part. div.wshkreviewcontainer (for review div container) div.reviewbox (for comment review div container). By the way the stars was moved to the right, the ul now have custom class ul.userreviewswshk, the table th have a custom class th.wshktableth and the button to product link have now too a custom class div.wshkproductbuttonlink

+ Updated function Total shop product counter shortcode, now exclude correctly the product total of the category when you use the advanced shortcode [woo_total_product_count cat_id="Here the category ID number"]

+ Updated function Products bought by a user shortcode, now work with Storefront theme too.

+ Updated function Display all the users reviews where you want, for fix some style issues.

+ New WSHK - BUILD YOUR CUSTOM ACCOUNT PAGE SHORTCODES STATUS metabox added (only for your WooCommerce account page), now you can control and view the shortcodes in your account page. Do all more fast and know always the shortcodes status.

+ Fixed function GPRD on WooCommerce reviews polity privacy, now the link to the Polity privacy page work correctly.

+ Updated function add security headers in your website, now add more security with more headers getting A+ in the test result. 

+ Fixed Auto translator tool, now work correctly when Custom Blocks & Redirections is activated.

+ Fixed function Display Orders lists shortcode and set the numbers of orders per page, now the pagination is working correctly. When the orders per page field is empty it will display 15 orders per page by default.

+ Fixed some warnings about future problems with the nexts PHP versions

+ Updated English translation template

+ Updated Spanish translation ready files

+ New Brazilian/Portuguese translation ready files (the new strings of v 1.7.9 dont are added yet), now you can copy manually the pt_BR.po and pt_BR.mo files and paste into your wp-content/languages/plugins/ folder to translate the plugin backend. Thanks to @rogeriodec for the translation!




= 1.7.8 =
 *Changelog (07/06/19)

+ Updated template form-edit-address.php , now no longer causes conflict when you use the WooCommerce's default shortcode [woocommerce_my_account]

+ Updated deprecated function in Product Per Page Manager, now it has a better code and it is compatible with DIVI, automatically detecting if the theme is active to adapt the function to a compatible version.

+ Updated deprecated function for include the wshk-class file, now is compatible with the future PHP versions.

+ New and reordered sections, the sections have been modified to show a title that better indicates what the functions and shortcodes included in it are focused on. In addition, new sections have been created and all the functions have been organized again, assigning them to their respective new sections.

+ Improved Functions and Shortcodes IU, they are no longer divided into 2 different pages, now they are all on the WSHK settings page, distributed by their new sections, making both functions and shortcodes have to be activated so that they work

+ New system to copy the shortcodes with just one click, now you will find a button to copy the shortcode in a simple way and a message that will warn you that the shortcode has been copied correctly.

+ Updated English template and Spanish translation, if you are using the plugin in Spanish language, just need go to the new auto translation tool and make click in the UPDATE button.



= 1.7.7 =
 *Changelog (02/06/19)

 + Fixed: now the Enable function to show the login form only works when activated. Solving the blank page that appeared after logging in.

 + Added - new rule for login redirections, now if the customer is in checkout page and use the login form for access to his account, it will be redirect to the checkout page after login. If the customer is using the login form of the account page, will be redirect to your custom link that you have added in the shortcode's advanced options. (You can use the redirections functions with the default WooCommerce my account's shortcode too).



= 1.7.6 =
 *Changelog (29/05/19)

 + Fixed - Now Auto translation tool dont display nothing about the Custom Blocks & Redirections translation files if it is not activated.

 + Added - New filter for Shortcodes page, now you can know all the shortcodes that required  enable his function from settings page for start to work.

 + Fixed - now the plugin keep the recorded options when you disable it, and can follow using when you enable it again. If you delete the plugin, his options will be deleted too. 



= 1.7.5 =
 *Changelog (24/05/19)


+ Added compatibility with Custom Blocks & Redirections to the translation tool

+ Updated template form-login.php now correctly detects the url for the link retrieve password

+ Updated form-edit-address.php template now no longer doubles the address

+ Modified the blocking of the admin top bar, now the users with the roles shop manager, editor and author will also see the top bar of the administrator. (Idea from Xavi (WSHK user))

+ Compatible with WP 5.2.1
+ Compatible with WC 3.6.3


= 1.7.4 =
 *Changelog (23/04/19)
 
 This update was not planned as version 1.7.4, but finally it has been considered possible to make it as a new version and not a subversion of 1.7.3, since it brings new changes and important functions, in addition to the necessary updates to make the plugin with the latest version of WooCommerce 3.6.1
 
+  New function for the shortcode [woo_myorders], now you can find a new option in the "Customize the shortcodes" section, it will allow you to set the number of orders you want to display per page in the order table. If for example you have set 15 orders, every 15 orders a new page will be added in the paging links and the user will be able to navigate among them with just one click. If you need to customize the style of the page, you can do it using the classes: div.pagination, a.prev.page-numbers, a.next.page-numbers, a.page-numbers
+ Updated template file form-edit-address to version 3.6.0
+ Updated template file login-form to version 3.6.0
+ Added auto translator to copy the prepared files of the plugin to your system with just one click!
+ New text strings, translated into Spanish + successfully updated file update test
+ Compatible with WC 3.6.1


= 1.7.3 =
 *Changelog (14/04/19)
 
 
+ Compatible with Custom blocks & redirections for WSHK v 1.0.2
+ Added section Beta testers, to test new features and shortcodes before they go out
+ Added shortcodes for display the user billing and shipping data separately (Beta testers)
+ Added shortcodes for display the amount in € according to the order status (Beta testers)
+ Added shortcodes fpr display the quantity of orders according to your state (Beta testers)
+ Added function to show product image in the order details (Beta testers)
+ Added license detector to activate the addon functions
+ Added function to hide administrator news in the plugin pages
+ Compatible with menu of DIVI themes
+ New tags removed from shortcodes that are no longer new
+ Updated form-login.php template (temporarily preserved oldform-login.php) in case you need to continue using the old one.
+ Updated the code of the function block the access from the admin top bar, now is working correctly with WordPress 5.1.1 and WooCOmmerce 3.5.7


= 1.7.2 =
 *Changelog (11/02/19)

+ Fixed the issue with the shortcode [woo_bought_products] for "Display the bought products by the current user" - now is working correctly with WooCommerce 3.5.4

+ Added input for limit the shortcode [woo_review_products] for "Display the user reviews with product link", now you can set a limit for display just this number of reviews.

+ Added compatibility with WooCommerce Subscriptions, now the plugin is prepared for work correctly with WC Subscriptions. If you are using Custom Blocks & Redirections for WSHK it will be compatible too and will make the related orders and related subscriptions links compatibles with you order-list container.


= 1.7.1 =
 *Changelog (03/01/19)

+ Updated - Login-form.php template now is updated to the v.3.5.0 and have a additional function for the lost password link, taking automaticly the account page url + the lost password endpoint for display the full lost password link.
+ NEW FUNCTION ADDED - Enable for add security headers in your website (Now you can prevent your website of hijacking attacks with just a click)
+ NEW FUNCTION ADDED - Enable for skip Cart Go straight to Checkout page (Now you can send the customers directly to the checkout page after successfull addition)


= 1.7.0 =
 *Changelog (10/09/18)

+ Fixed - translation issue in the function Display all reviews where you want
+ Fixed - Now the comments display the author gravatar image
+ Fixed - Now the Woo Shortcodes kit settings page display the correct version

= 1.6.9 =
 *Changelog (13/08/18)

+ Compatibility with WooCommerce 3.4.4
+ Templates updated:
	Form-add-payment-method.php
	Form-edit-address.php
	Form-login.php
+ Added class to logout button in function display logout button with a shortcode (class="wshkclose")
+ Added class to view product button in function display user reviews with a shortcode (class="wshkcomment")
+ Added option for customize the text color in function DISPLAY ALL THE REVIEWS WHERE YOU WANT
+ Added options to solve the fails with the counters result positions.
+ Disabled printf in the code to display the custom message, now just display in your custom position.
+ Gravatar image of the DISPLAY GRAVATAR IMAGE function now work correctly again taking the userd ID for display the image.
+ Fixed some error in the text of the CUSTOM THANK YOU PAGES function


= 1.6.8 =
 *Changelog (12/06/18)


 + Solved the issue with the order-again template, now work again with WooCommerce default template.
 + Solved the issue with the counters, now when you make a new order or review you dont will get the design broken.
 + Template updated: form-edit-account, now display the new WooCommerce display username field .
 + NEW FUNCTION ADDED: Hide login error, you can find it on ADD SECURITY AND RESTRICT CONTENT section.

 + NEW SECTION ADDED: WooCommerce additional settings 
 + NEW FUNCTION ADDED: Auto complete the orders, you can find it in WOOCOMMERCE ADDITIONAL SETTINGS section.
 + NEW FUNCTION ADDED: Custom Thank you pages, you can find it in WOOCOMMERCE ADDITIONAL SETTINGS section.
 + NEW FUNCTION ADDED: Custom shop page, you can find it in WOOCOMMERCE ADDITIONAL SETTINGS section.
    - The carts buttons to back to the shop, will follow working taking you custom shop page slug to redirect.
 + NEW FUNCTION ADDED: Display Name and surname fields in register form, you can find it in WOOCOMMERCE ADDITIONAL SETTINGS section.
    - The data will be displayed automaticlly in the edit account form too.
 + NEW FUNCTION ADDED: Terms and Conditions checkbox, you can find it in WOOCOMMERCE ADDITIONAL SETTINGS section.

 + NEW SECTION ADDED: ADAPT WORDPRESS AND WOOCOMMERCE TO THE NEW GPRD LAW
 + NEW FUNCTION ADDED: Global settings and user information , you can find it in ADAPT WORDPRESS AND WOOCOMMERCE TO THE NEW GPRD LAW section.
 + NEW FUNCTION ADDED: GPRD on WordPress Comments , you can find it in ADAPT WORDPRESS AND WOOCOMMERCE TO THE NEW GPRD LAW section.
 + NEW FUNCTION ADDED: GPRD on WooCommerce checkout , you can find it in ADAPT WORDPRESS AND WOOCOMMERCE TO THE NEW GPRD LAW section
 + NEW FUNCTION ADDED: GPRD on WooCommerce reviews , you can find it in ADAPT WORDPRESS AND WOOCOMMERCE TO THE NEW GPRD LAW section.
 + NEW FUNCTION ADDED: GPRD on WooCommerce register form , you can find it in ADAPT WORDPRESS AND WOOCOMMERCE TO THE NEW GPRD LAW section.
    - Now when a user will be registered the admin will receive a email automaticlly to know the notice and meet the customer Name, surname and email. Include the GPRD verification message. 

 + NEW SHORTCODE ADDED: Display the user IP, you can find it in the shortcodes page and not need activation
 + NEW SHORTCODE ADDED: Display the user Name and surname, you can find it in the shortcodes page and not need activation
 + NEW SHORTCODE ADDED: Display the user Email, you can find it in the shortcodes page and not need activation
 + NEW BADGE ADDED for the news settings boxs, now you can see easilly the new functions added in WSHK settings page.


= 1.6.7 =
 *Changelog (13/05/18)
 
+ Tested and working with WordPress 4.9.5
+ Testes and working with WooCommerce 3.3.5
+ Prepared to work with the another new addon that is comming soon!
+ Style: Settings text size was reduced
+ Function: Display the username now have a dropdown field to choose between 3 differents options to display.
+ Function: Display user Gravatar now work correctly and look for the user ID or EMAIL to show the image.
+ Function: Display the user reviews now the user Gravatar work correctly and look for the user ID or EMAIL to show the image.
+ Templates updates to the last version 3.3.0

VERY IMPORTANT! if you was using some "Build my account shortcodes" now need update the shortcodes. Please look for the NEW badges in the shortcodes panel and copy the new shortcode to update in your pages.


= 1.6.6 =
 *Changelog (12/02/18)

+ New Admin design more ordered.
+ New Shortcodes Filter
+ 10 new shortcodes
+ 1 new function made from zero **Display all the product reviews everywhere!**
+ Added product title (linked) in user reviews shortcode
+ Added text align control in total orders, products and reviews counters.
+ Changed the username shortcode, now display the client name.
+ The logout shortcode now let add a custom redirection after user logout
+ The login/register form now work 100% how the original and let access to the Lost password link and reset password page.

+ Prepared to work with the new addon that is comming soon!

VERY IMPORTANT! if you was using some "Build my account shortcodes" now need update the shortcodes. Please look for the NEW badges in the shortcodes panel and copy the new shortcode to update in your pages.

= 1.6.5 =
 *Changelog (11/12/17)

Fixed improvements - WORKING 100%

= 1.6.4 =
 * Changelog (11/12/17)

**NEW FUNCTION! added**: Exclude products categories from shop page 
**NEW FUNCTION! added**: Custom menu for logged in users and other for non logged in users
**NEW FUNCTION! added**: Let add shortcodes in menu item titles
**NEW FUNCTION! added**: Display username in menu (with a special shortcode)

Removed: Dashicons from plugin in backend plugins page.
Updated: Translations en_EN and es_ES
Tested with WordPress v4.9.1
Tested with WooCommerce v3.2.5

= 1.6.3 =
 * Changelog (11/11/17)

**BE CAREFUL!** if you are using the Login form function, after this update you MUST CHANGE the old "myaccount" slug with the page slug to redirect. 

For example: 

In v1.6.2 and olders you had wrote in the field: myaccount

Now in v.1.6.3 you need write in the field: the-custom-page-slug 

Changes:

 Login form function: Now let write your custom page slug to redirects the users where you want after the login.

 Tested and working with WordPress 4.8.3

 Tested and working with WooCommerce 3.2.3


= 1.6.2 =
 * Changelog (12/10/17)

Problem found by a WSHK's user: The function "Display only products of specifics categories in the shop page" hide the products in the categories page too.

Fixed: Now when you use this function it work only in the shop page, the products will follow displaying in the products categories pages. 


= 1.6.1 = 
 * Changelog (09/10/17)

Back to use the old method to get the login form template.

New text-domain and translation method added, now the plugin get your site language by default! 

Is your site language is English the plugin will show all in English and if your site is Spanish, the plugin will be translated automaticlly



= 1.6 = 
 * Changelog (07/10/17)

**WSHK IS INTERNAZIONALIZED!**

Now the plugin have the English template base and the Spanish translation ready to use.

You can translate the plugin in your own language with the English template.

**PHP WARNING ALERT SOLVED!**

Now the plugin work 100% fine without errors or warnings:

**CHANGE ADD TO CART FUNCTION**

The default products text has been deleted

**CHANGE IN DISPLAY PRODUCTS BY CATEGORY IN SHOP PAGE**

Now the fields of this function display a better look to be compatible with the spanish language too.

**NEW LINK IN PLUGINS PAGE**

Now you can view a new icon to access directly to the vide guides!



Woo Shortcodes Kit v 1.5 (01/09/17) by Alberto G. - https://disespubli.com/

Included:

= 1.5 = 
 * Changelog (01/09/17)

**NEW SHORTCODES ADDED**

You can use the shortcodes in any page or post, but in some ones you need Enable & Customize it from "Settings" | CUSTOMIZE THE SHORTCODES and expand the box to see the advanced options.


1) Show to a user the products that have bought, with this Shortcode: [woo_bought_products]

2) Show the user Gravatar image, with this Shortcode: [woo_gravatar_image] 

You can customize the style to get your own:

+ Change the Gravatar size and add a shadow
+ Change the Gravatar border ( size | type | color | radius )

3) Show the total bought products by user, with this Shortcode: [woo_total_bought_products]

You can customize the text for the differents cases: prefix, singular & plural suffix, when dont have bought any product.

4) If you want show the total orders made by user, use this Shortcode: [woo_customer_total_orders]

You can customize the text for the differents cases: prefix, singular & plural suffix, when dont have made any order.

5) If you want show the total reviews made by a user, use this Shortcode: [woo_total_count_reviews]

You can customize the text for the differents cases: prefix, singular & plural suffix, when dont have made any review.

6) If you want show the products reviews made by a user, use this Shortcode: [woo_review_products]

You can customize the style to get your own: 

+ Change the avatar: size, border ( size | radius | type | color ), cell with and shadow.
+ Change the box: Font size, border ( size | radius | type | color ) , background color and padding
+ Change the button: Border ( size | radius | type | color ) , target, text-decoration and text

7) If you want show the username in any page or post, use this shortcode: [woo_user_name]

You can customize the style to get your own:		

+ Add a text prefix.
+ Add a text suffix.
+ Change the Font ( color | size ) and text-align

8) If you want show a message if the user made a number of orders, use this Shortcode: [woo_message]

You can customize:

+ Write a custom (html/text) message to display if the use have X orders.
+ Set the number of orders to display the message
+ Set the custom text to display if the customer not have orders made yet
+ Set the custom text to display if the customer have more orders

9) If you want display the customer billing address in any post or page, use this Shortcode: [woo_billing_address]

10) If you want display the customer shipping address in any post or page, use this Shortcode: [woo_shipping_address]

11) If you want display the customer edit account form in any post or page, use this Shortcode: [woo_edit_myaccount]

12) If you want display the Login & Register form in any post or page, use this Shortcode: [woo_login_form]

You can redirects the users after the login to a custom page. Just need write the WooCommerces "my-custom-account" page slug.

You can block the access to myaccount page if the user are not logged in and redirect to a custom page. Just need write the WooCommerce's myaccount page slug. By default is: myaccount

*You need set your custom "myaccount page" how the WooCommerce's account page!
To do it, just need go to WooCommerce's settings and look for in the main the accounts section. Now select your new & custom myaccount page how "My account page" in WooCommerce and save the changes!

13) If you want display the Logout button in any post or page, use this Shortcode: [woo_logout_button]

By default take the theme style, but you can customize the button a few more to get your own style:

+ Change the button border ( size | radius | type | color )
+ Change the button ( text | text-decoration | text-align | width)
	
**NEW FUNCTIONS ADDED**

The functions just need be enabled to work, sometimes you need put a shortcode to display the function content. Now you can see all grouped by categories.

**CUSTOMIZE THE ADD TO CART BUTTON**

0) Advanced option included for the function: Product thumbnail in email orders

Now you can set the thumbnail size!

1) Enable Change the button text "Add to cart" if user have the product purchase
	
You can change the button text for display different if the user have bought the product.

2) Enable Change the Add to cart button text & write a different text in each case

You can change the button text for display different in each case:

+ External product
+ Grouped product
+ Simple product
+ Variable product
		

**CUSTOMIZE THE SHOP PAGE**

3) Enable Display only products of specifics categories in shop page

You can write the slug othe categories that you want display in your shop page (3 categories max.)

4) Enable Product Downloads/Sales Counter

Now you can set individually the minimun number of sales and downloads that a product must have to show the message. 
Can set a different text if is a downloable product or normal. Just enable the function checking the box and write the number in the text box. 
By default the message appear in all products.

**CUSTOMIZE THE SHORTCODES (THE ADDONS)**

5) Enable for Display & Change the customer total bought products texts + advanced options
6) Enable for Display & Change the customer total orders texts + advanced options
7) Enable for Display & Change the customer total reviews texts + advanced options
8) Enable for Display & Change the text of Order´s message + advanced options
9) Enable for Display the customer reviews with link to the product + advanced options
10) Enable for Display the username + advanced options
11) Enable for Display the Logout button + advanced options
12) Enable for Display the Login form + advanced options


**Tested & Running 100% with WordPress v4.8.1 | WooCommerce v3.1.2**

----------------------------------------------------------------------------------------------------------------------


= 1.4 = 
 * Changelog (11/07/17)


NEW FUNCTION

Products per page Manager, now you can customize the numbers of products to display in your Shop page. Just need enable the function and write the numbers of products to display.


NEW ADDON

Now you can set the minimun number of sales/downloads that a product must have to show the message.
Just enable the function checking the box and write the number in the text box. By default the message appear in all products.


**Tested & Running 100% with WordPress v4.8 | WooCommerce v3.1.0**

----------------------------------------------------------------------------------------------------------------------

== Upgrade Notice ==

= 1.8.3 =
 *Changelog (05/02/20)

- Fixed Warning: line 612 in wshk-class.php, now is working correctly without warnings.
- Fixed Warning: line 648 in wshk-class.php, now is working correctly without warnings.
- Fixed Warning: line 652 in wshk-class.php, now is working correctly without warnings.
- Fixed Warning: line 909 in wshk-class.php, now is working correctly without warnings.
- Fixed Warning: line 1488 in wshk-class.php, now is working correctly without warnings.
- Fixed Warning: line 1455 in wshk-class.php, now is working correctly without warnings.

- Improved New Dropdown menus in functions settings.
- Improved New informational texts added in functions settings.
- Improved Contact tab.
- Improved New Notifications tab.
- Improved Localization and menus detector added in the function: Conditional menu.
- Improved New examples and info boxs in functions
-Improved New classes to control the styles in the function: Product Download/Sales counter.
-Improved Now the function : Change the “Add to cart” button text is prepared to work better. When is enabled the empty field will display the button text by default and only if you write a custom text will be displayed. For other hand the external products will use by default the text button added in the product settings, but if you want add the same text for all external products, just need write the custom text in the function.
- Improved Now some shortcodes to build the account page display a new message to let you know what you need how addon to build your custom account page.
- Improved Now you can control the number of columns in the function: Customer purchased products loop.
- Improved Added template message to use in the function: Conditional message to the customer according to their number of orders.
- Improved New shortcode added in the function: Display all the products reviews where you want. Now you can display all the reviews in a custom page and display a certain number of reviews in another different page. It can be helpfull to make a custom page with some reviews and a View all reviews buttons linked to display all the reviews.
- Improved Now the function: Autocomplete orders is prepared to work only with virtual products and is working correctly.

- Updated: Compatible with WooCommerce Subscriptions v.3.0.1 (Tested and working)
- Updated: Compatible with WooCommerce v.3.9.1 (Tested and working)
- Updated: Compatible with WordPress v.5.3.2 (Tested and working)


= 1.8.2 =
 *Changelog (27/08/19)

PLEASE READ ALWAYS THE CHANGELOG BEFORE UPDATE.


= 1.8.1 =
 *Changelog (03/07/19)

PLEASE READ ALWAYS THE CHANGELOG BEFORE UPDATE.


= 1.8.0 =
 *Changelog (01/07/19)

 PLEASE READ ALWAYS THE CHANGELOG BEFORE UPDATE, THIS NEW VERSION HAVE A LOT OF CHANGES.


= 1.7.9 =
 *Changelog (21/06/19)

 PLEASE READ ALWAYS THE CHANGELOG BEFORE UPDATE, THIS NEW VERSION HAVE A LOT OF CHANGES. Thanks for use Woo Shortcodes Kit!


= 1.7.8 =
 *Changelog (07/06/19)

 PLEASE READ BEFORE UPDATE & AFTER UPDATE GO TO WSHK SETTINGS AND READ THE ALERT!

+ Updated template form-edit-address.php , now no longer causes conflict when you use the WooCommerce's default shortcode [woocommerce_my_account]

+ Updated deprecated function in Product Per Page Manager, now it has a better code and it is compatible with DIVI, automatically detecting if the theme is active to adapt the function to a compatible version.

+ Updated deprecated function for include the wshk-class file, now is compatible with the future PHP versions.

+ New and reordered sections, the sections have been modified to show a title that better indicates what the functions and shortcodes included in it are focused on. In addition, new sections have been created and all the functions have been organized again, assigning them to their respective new sections.

+ Improved Functions and Shortcodes IU, they are no longer divided into 2 different pages, now they are all on the WSHK settings page, distributed by their new sections, making both functions and shortcodes have to be activated so that they work

+ New system to copy the shortcodes with just one click, now you will find a button to copy the shortcode in a simple way and a message that will warn you that the shortcode has been copied correctly.

+ Updated English template and Spanish translation, if you are using the plugin in Spanish language, just need go to the new auto translation tool and make click in the UPDATE button.



= 1.7.7 =
 *Changelog (02/06/19)

 + Fixed: now the Enable function to show the login form only works when activated. Solving the blank page that appeared after logging in.

 + Added - new rule for login redirections, now if the customer is in checkout page and use the login form for access to his account, it will be redirect to the checkout page after login. If the customer is using the login form of the account page, will be redirect to your custom link that you have added in the shortcode's advanced options. (You can use the redirections functions with the default WooCommerce my account's shortcode too).


= 1.7.6 =
 *Changelog (29/05/19)

 + Fixed - Now Auto translation tool dont display nothing about the Custom Blocks & Redirections translation files if it is not activated.

 + Added - New filter for Shortcodes page, now you can know all the shortcodes that required  enable his function from settings page for start to work.

 + Fixed - now the plugin keep the recorded options when you disable it, and can follow using when you enable it again. If you delete the plugin, his options will be deleted too.
 


= 1.7.5 =
 *Changelog (24/05/19)


+ Added compatibility with Custom Blocks & Redirections to the translation tool

+ Updated template form-login.php now correctly detects the url for the link retrieve password

+ Updated form-edit-address.php template now no longer doubles the address

+ Modified the blocking of the admin top bar, now the users with the roles shop manager, editor and author will also see the top bar of the administrator. (Idea from Xavi (WSHK user))

+ Compatible with WP 5.2.1
+ Compatible with WC 3.6.3


= 1.7.4 =
 *Changelog (23/04/19)
 
 This update was not planned as version 1.7.4, but finally it has been considered possible to make it as a new version and not a subversion of 1.7.3, since it brings new changes and important functions, in addition to the necessary updates to make the plugin with the latest version of WooCommerce 3.6.1
 
+  New function for the shortcode [woo_myorders], now you can find a new option in the "Customize the shortcodes" section, it will allow you to set the number of orders you want to display per page in the order table. If for example you have set 15 orders, every 15 orders a new page will be added in the paging links and the user will be able to navigate among them with just one click. If you need to customize the style of the page, you can do it using the classes: div.pagination, a.prev.page-numbers, a.next.page-numbers, a.page-numbers
+ Updated template file form-edit-address to version 3.6.0
+ Updated template file login-form to version 3.6.0
+ Added auto translator to copy the prepared files of the plugin to your system with just one click!
+ New text strings, translated into Spanish + successfully updated file update test
+ Compatible with WC 3.6.1


= 1.7.3 =
 *Changelog (14/04/19)
 
 
+ Compatible with Custom blocks & redirections for WSHK v 1.0.2
+ Added section Beta testers, to test new features and shortcodes before they go out
+ Added shortcodes for display the user billing and shipping data separately (Beta testers)
+ Added shortcodes for display the amount in € according to the order status (Beta testers)
+ Added shortcodes fpr display the quantity of orders according to your state (Beta testers)
+ Added function to show product image in the order details (Beta testers)
+ Added license detector to activate the addon functions
+ Added function to hide administrator news in the plugin pages
+ Compatible with menu of DIVI themes
+ New tags removed from shortcodes that are no longer new
+ Updated form-login.php template (temporarily preserved oldform-login.php) in case you need to continue using the old one.
+ Updated the code of the function block the access from the admin top bar, now is working correctly with WordPress 5.1.1 and WooCOmmerce 3.5.7



= 1.7.2 =
 *Changelog (11/02/19)

+ Fixed the issue with the shortcode [woo_bought_products] for "Display the bought products by the current user" - now is working correctly with WooCommerce 3.5.4

+ Added input for limit the shortcode [woo_review_products] for "Display the user reviews with product link", now you can set a limit for display just this number of reviews.

+ Added compatibility with WooCommerce Subscriptions, now the plugin is prepared for work correctly with WC Subscriptions. If you are using Custom Blocks & Redirections for WSHK it will be compatible too and will make the related orders and related subscriptions links compatibles with you order-list container.


= 1.7.1 =
 *Changelog (03/01/19)

+ Updated - Login-form.php template now is updated to the v.3.5.0 and have a additional function for the lost password link, taking automaticly the account page url + the lost password endpoint for display the full lost password link.
+ NEW FUNCTION ADDED - Enable for add security headers in your website (Now you can prevent your website of hijacking attacks with just a click)
+ NEW FUNCTION ADDED - Enable for skip Cart Go straight to Checkout page (Now you can send the customers directly to the checkout page after successfull addition)


= 1.7.0 =
 *Changelog (10/09/18)

+ Fixed - translation issue in the function Display all reviews where you want
+ Fixed - Now the comments display the author gravatar image
+ Fixed - Now the Woo Shortcodes kit settings page display the correct version


= 1.6.9 =
 *Changelog (13/08/18)

+ Compatibility with WooCommerce 3.4.4
+ Templates updated:
	Form-add-payment-method.php
	Form-edit-address.php
	Form-login.php
+ Added class to logout button in function display logout button with a shortcode (class="wshkclose")
+ Added class to view product button in function display user reviews with a shortcode (class="wshkcomment")
+ Added option for customize the text color in function DISPLAY ALL THE REVIEWS WHERE YOU WANT
+ Added options to solve the fails with the counters result positions.
+ Disabled printf in the code to display the custom message, now just display in your custom position.
+ Gravatar image of the DISPLAY GRAVATAR IMAGE function now work correctly again taking the userd ID for display the image.
+ Fixed some error in the text of the CUSTOM THANK YOU PAGES function


= 1.6.8 =
 *Changelog (12/06/18)


 + Solved the issue with the order-again template, now work again with WooCommerce default template.
 + Solved the issue with the counters, now when you make a new order or review you dont will get the design broken.
 + Template updated: form-edit-account, now display the new WooCommerce display username field .
 + NEW FUNCTION ADDED: Hide login error, you can find it on ADD SECURITY AND RESTRICT CONTENT section.

 + NEW SECTION ADDED: WooCommerce additional settings 
 + NEW FUNCTION ADDED: Auto complete the orders, you can find it in WOOCOMMERCE ADDITIONAL SETTINGS section.
 + NEW FUNCTION ADDED: Custom Thank you pages, you can find it in WOOCOMMERCE ADDITIONAL SETTINGS section.
 + NEW FUNCTION ADDED: Custom shop page, you can find it in WOOCOMMERCE ADDITIONAL SETTINGS section.
    - The carts buttons to back to the shop, will follow working taking you custom shop page slug to redirect.
 + NEW FUNCTION ADDED: Display Name and surname fields in register form, you can find it in WOOCOMMERCE ADDITIONAL SETTINGS section.
    - The data will be displayed automaticlly in the edit account form too.
 + NEW FUNCTION ADDED: Terms and Conditions checkbox, you can find it in WOOCOMMERCE ADDITIONAL SETTINGS section.

 + NEW SECTION ADDED: ADAPT WORDPRESS AND WOOCOMMERCE TO THE NEW GPRD LAW
 + NEW FUNCTION ADDED: Global settings and user information , you can find it in ADAPT WORDPRESS AND WOOCOMMERCE TO THE NEW GPRD LAW section.
 + NEW FUNCTION ADDED: GPRD on WordPress Comments , you can find it in ADAPT WORDPRESS AND WOOCOMMERCE TO THE NEW GPRD LAW section.
 + NEW FUNCTION ADDED: GPRD on WooCommerce checkout , you can find it in ADAPT WORDPRESS AND WOOCOMMERCE TO THE NEW GPRD LAW section
 + NEW FUNCTION ADDED: GPRD on WooCommerce reviews , you can find it in ADAPT WORDPRESS AND WOOCOMMERCE TO THE NEW GPRD LAW section.
 + NEW FUNCTION ADDED: GPRD on WooCommerce register form , you can find it in ADAPT WORDPRESS AND WOOCOMMERCE TO THE NEW GPRD LAW section.
    - Now when a user will be registered the admin will receive a email automaticlly to know the notice and meet the customer Name, surname and email. Include the GPRD verification message. 

 + NEW SHORTCODE ADDED: Display the user IP, you can find it in the shortcodes page and not need activation
 + NEW SHORTCODE ADDED: Display the user Name and surname, you can find it in the shortcodes page and not need activation
 + NEW SHORTCODE ADDED: Display the user Email, you can find it in the shortcodes page and not need activation
 + NEW BADGE ADDED for the news settings boxs, now you can see easilly the new functions added in WSHK settings page.




= 1.6.7 =
 *Changelog (13/05/18)
 
+ Tested and working with WordPress 4.9.5
+ Testes and working with WooCommerce 3.3.5
+ Prepared to work with the another new addon that is comming soon!
+ Style: Settings text size was reduced
+ Function: Display the username now have a dropdown field to choose between 3 differents options to display.
+ Function: Display user Gravatar now work correctly and look for the user ID or EMAIL to show the image.
+ Function: Display the user reviews now the user Gravatar work correctly and look for the user ID or EMAIL to show the image.
+ Templates updates to the last version 3.3.0

VERY IMPORTANT! if you was using some "Build my account shortcodes" now need update the shortcodes. Please look for the NEW badges in the shortcodes panel and copy the new shortcode to update in your pages.


= 1.6.6 =
 *Changelog (12/02/18)

+ New Admin design more ordered.
+ New Shortcodes Filter
+ 10 new shortcodes
+ 1 new function made from zero **Display all the product reviews everywhere!**
+ Added product title (linked) in user reviews shortcode
+ Changed the username shortcode, now display the client name.
+ The logout shortcode now let add a custom redirection after user logout
+ The login/register form now work 100% how the original and let access to the Lost password link and reset password page.

+ Prepared to work with the new addon that is comming soon!

VERY IMPORTANT! if you was using some "Build my account shortcodes" now need update the shortcodes. Please look for the NEW badges in the shortcodes panel and copy the new shortcode to update in your pages.


= 1.6.5 =
 *Changelog (11/12/17)

Fixed improvements - WORKING 100%

= 1.6.4 =
 * Changelog (11/12/17)

**NEW FUNCTION! added**: Exclude products categories from shop page 
**NEW FUNCTION! added**: Custom menu for logged in users and other for non logged in users
**NEW FUNCTION! added**: Let add shortcodes in menu item titles
**NEW FUNCTION! added**: Display username in menu (with a special shortcode)

Removed: Dashicons from plugin in backend plugins page.
Updated: Translations en_EN and es_ES
Tested with WordPress v4.9.1
Tested with WooCommerce v3.2.5